#!/bin/sh

rm -f EttinOS.img
if [ ! -d "bin" ]
then
    mkdir bin
fi

cd src/
if [ "$1" = "-1440" ]
    then nasm BOOT.ASM -d F1440 -f bin -o ../bin/BOOT.BIN
    else nasm BOOT.ASM -f bin -o ../bin/BOOT.BIN
fi
nasm SYSTEM.ASM -f bin -o ../bin/SYSTEM.BIN
nasm HELLO.ASM -f bin -o ../bin/HELLO.BIN

cd ..
if [ "$1" = "-1440" ]
    then mkfs.fat -C EttinOS.img 1440
    else mkfs.fat -C EttinOS.img 360
fi
rw -i bin/BOOT.BIN -o EttinOS.img -b 512 -c 1x
mcopy -i EttinOS.img bin/SYSTEM.BIN ::
mcopy -i EttinOS.img bin/HELLO.BIN ::
mcopy -i EttinOS.img README.MD ::
mcopy -i EttinOS.img LICENSE.MD ::
